Package com.tibco.patterns.deduplication

## Class QueryBuildException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.patterns.deduplication.QueryBuildException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class QueryBuildException
      extends java.lang.Exception

  QueryBuilder and KeyedQuerySource classes should throw this exception when a query cannot be built
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryBuildException​(java.lang.String message, QueryErrorAction action, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QueryErrorAction` | `getAction()` | Get the value of the halt property.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBuildException

          public QueryBuildException​(java.lang.String message,
                                     QueryErrorAction action,
                                     java.lang.Throwable cause)

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the #getMessage() method).
        `action` - Indicates the action to be taken by the Deduplication framework.
        `cause` - the cause (which is saved for later retrieval by the #getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown. Passing null is strongly discouraged.)

  - ### Method Detail

    - #### getAction

          public QueryErrorAction getAction()

      Get the value of the halt property.
      Returns:
        the value of the halt property.